#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -D tcliis
	dh_auto_configure -D tksao

override_dh_auto_build:
	dh_auto_build -D tcliis
	dh_auto_build -D tksao
	for i in $(shell find ds9 -name \*.tac) ; do \
	  f=$$(basename $$i | sed s/parser.tac//); \
          tclsh taccle/taccle.tcl -p $$f -d $$i ; \
	  sed '1 i\package provide DS9 1.0' -i ds9/parsers/$${f}parser.tcl ; \
        done
	for i in $(shell find ds9 -name \*.fcl) ; do \
	  f=$$(basename $$i | sed s/lex.fcl//); \
          tclsh fickle/fickle.tcl -P $$f $$i ; \
	  sed '1 i\package provide DS9 1.0' -i ds9/parsers/$${f}lex.tcl ; \
        done
	mv ds9/parsers/*.tcl ds9/library
	cd ds9/library; echo "pkg_mkIndex . *.tcl; exit" | tclsh
	chmod ugo+x ds9/ds9
	perl -w debian/generate-man > ds9/ds9.1

override_dh_auto_test:
ifeq ($(filter $(DEB_BUILD_OPTIONS),nocheck),)
	DS9_HOME=ds9 \
	TCLLIBPATH="tksao tcliis" \
	xvfb-run --server-args="-screen 0 1024x768x24" \
	./ds9/ds9 -quit
endif

override_dh_installchangelogs:
	dh_installchangelogs ds9/doc/release/r7.6.html
